<!DOCTYPE html>
<html lang="en">
<head>
	<title>Sign in</title>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
</head>

<body>
	<app-top-menu></app-top-menu> 
	<div class="limiter">
		<div class="container-login100 bg-img">  <!--class bg-img is for setting up background image-->
			<div class="wrap-login100 p-t-30 p-b-50">
				<span class="login100-form-title p-b-41">
					<div class="title">Log in</div>
				</span>

				<form #loginForm = "ngForm" (ngSubmit) = "onSubmit(loginForm)" class="login100-form validate-form p-b-33 p-t-5">
					
					<div class="wrap-input100 validate-input" data-validate = "Type in username">
						<input
							id="name" 
							class="input100" 
							type="text" 
							name="name" 
							placeholder="Username" 
							required
							ngModel
							#name ="ngModel" > 
						<span *ngIf = "name.errors?.required && (name.touched || loginTouched)" class="alert alert-danger" role="alert" >*Username is required</span>
						<span class="focus-input100 focus-input-log-in"></span> 
						<!-- u span tag iznad dodati data-placeholder="" za ikonice -->
					</div>

					<div class="wrap-input100 validate-input" data-validate="Type in password">
						<input 
							id = "pass"
							class="input100" 
							type="password" 
							name="pass" 
							placeholder="Password"  
							required 
							ngModel
							#pass ="ngModel">
						<span class="alert alert-danger" role="alert"*ngIf = "pass.errors?.required && (pass.touched || loginTouched )" >*Password is required</span>
						<span class="focus-input100 focus-input-log-in" data-placeholder=""></span>
					</div>

					<div *ngIf="msg" class="alert alert-danger" role="alert">
						<p>{{msg}}</p>
					</div> 

					<div class="container-login100-form-btn m-t-32">
						<button type ="submit" class="login100-form-btn log-in-button"  >Log in</button>
					</div>
					
                    <div class="alert alert-primary" role="alert">
						<p>Not a member?</p>
						
						<button (click)= "goToSignUp()" class="btn btn-primary">Create account</button>
					</div>
					<br>
				</form>
			</div>
		</div>
	</div>
</body>
</html>